ASP2014

Материал из archestra.info
Перейти к: навигация, поиск

Версии и состав ПО

Выход версии System Platform 2014 ожидается в конце 2014 года

ArchectrA System Platform 2014

В дистрибутив ArchectrA System Platform 2014 входят продукты:

Что нового

  • см. описание конкретных продуктов


Процедура обновления ПО

  • Источник: Wonderware System Platform Installation Guide. Application Server Upgrade, p 39 (WSP_Install_Guide.pdf)


Обновление SP до версии 2014 возможно из версий:

Полный список предыдущих версий из которых возможно обновление до версии WSP2014 см. Wonderware System Platform Readme файл (readme.html в корне дистрибутива WSP2014)

Перед обновлением

  • Выполнить полный бэкап галактики из SMC
  • Убедиться в совместимости версии ОС Windows
  • Обновить MS SQL сервер до поддерживаемой версии

Особенности обновления компонентов

Bootstrap
  • При попытке обновить bootstrap с развернутой платформой будет выдано предупреждение
  • При обновлении старая развернутая платформа удаляется, следовательно после обновления компонента bootstrap необходимо передиплоить платформу, а значит предварительно должен быть обновлен GR узел и как минимум одна станция IDE
InTouch managed application
IDE, GR
  • IDE 2014 не может подключиться к GR предыдущих версий

Основная последовательность обновления до версии WSP 2014

  1. Обновить все дополнительное ПО (Windows, MS SQL, MS Office и пр) до совместимых с SP2014 версий
    • Если требуется обновить MS SQL Server на узле GR, то перед обновлением SQL сервера необходимо раздеплоить платформу.
    • Если требуется обновить MS SQL Server на узле Historian, то перед обновлением SQL сервера необходимо выполнить shotdown (disable) сервера Historian
  2. Historian - обновить и провести конфигурацию БД. Если сервер Historian установлен на отдельном узле и он принимает данные с Application Server, то сервер Historian необходимо обновить до обновления Application Server
  3. Обновить узел GR
  4. Обновить как минимум один узел IDE
  5. Используя обновленный узел IDE подключиться к узелу GR и произвести миграция Galaxy в новую версию
  6. Задеплоить GR Platform
  7. Обновить ПО на других узлах
    • Application Server
    • InTouch for SP
    • WIS
  • Внимание! После обновления узела GR и миграции Galaxy уже НЕЛЬЗЯ задеплоить объекты на узлы, где System Platform НЕ ОБНОВЛЕНА до версии ASP 2014
  • Внимание! После обновления узела GR к нему не смогут подключиться узелы IDE где IDE НЕ ОБНОВЛЕНА до версии ASP 2014


Совместимость лицензий на SP2014 с предыдущими версиями

  • Лицензию на Advanced/Development Studio 2014 (11.0) можно использовать работы с средами разработки вплоть до версии 7.11
  • Лицензию на Application Server 2014 (4.0) можно использовать для AS вплоть до версии 3.0
  • Лицензию на InTouch RT 2014 (11.0) можно использовать для работы в InTouch Runtime вплоть до версии 10.0

По остальным вопросам можно обращаться к менеджерам КЛИНКМАНН

Требования к ОС и программному окружению System Platform 2014

  • Основной список требований перечислен в readme.html файле в корне дистрибутива

Поддерживаемые ОС

Для уточнения, пожалуйста, обратитесь к readme.html файлу, расположенному в корне дистрибутива, или к специалистам технической поддержки Wonderware Russia (KLINKMANN)

  • Клиентские ОС
    • 7 SP1 Embedded (32-bit only)
    • 7 SP1 Professional, Enterprise, Ultimate (32/64-bit)
    • 8 Professional, Enterprise (32/64-bit)
  • Серверные ОС
    • 2008 R2 SP1 Standard, Enterprise (64-bit)
    • Server 2012 Standard and Data Center (64-bit)
  • БОЛЬШЕ НЕ ПОДДРЕЖИВАЮТСЯ Windows XP, Windows Vista, Windows 2003 server, Windows 2008 R1
  • Гипервизоры
    • Hyper-V (2008R2 SP1, 2012, 2012 R2, HA/DR)
    • VMWare 5.x (Including HA/DR)
    • VMWare Workstation
  • MS SQL Server
    • 2008 SP3 Express-SSMSE (32-bit)
    • 2008 SP3 Standard, Enterprise (32-bit Only)
    • 2008 R2 SP1, 2008 R2 SP2 Express-SSMSE (32-bit)
    • 2008 R2 SP1, 2008 R2 SP2 Standard, Enterprise (32/64 bit)
    • 2012, 2012 SP1 Express-SSMSE (32-bit)
    • 2012, 2012 SP1 Standard, Enterprise (32/64 bit)
  • MS Office
    • MS Excel 2010 or 2013 (32-bit)
  • IE
    • 8.0, 9.0, or 10.0